Index: trunk/geant4/interfaces/basic/include/G4UIterminal.hh
===================================================================
--- trunk/geant4/interfaces/basic/include/G4UIterminal.hh	(revision 592)
+++ trunk/geant4/interfaces/basic/include/G4UIterminal.hh	(revision 593)
@@ -24,17 +24,9 @@
 // ********************************************************************
 //
+// $Id: G4UIterminal.hh,v 1.10 2007/05/22 01:51:05 kmura Exp $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
-// $Id: G4UIterminal.hh,v 1.9 2006/06/29 19:09:39 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
-//
-
-#ifndef G4UIterminal_h
-#define G4UIterminal_h 1
-
-#include <fstream>
-#include "G4UImanager.hh"
-#include "G4VBasicShell.hh"
-#include "G4VUIshell.hh"
-
+// ====================================================================
+//   G4UIterminal.cc
 //
 //   Description:
@@ -69,5 +61,12 @@
 //
 //   For more detail, see source codes.
-//
+// ====================================================================
+#ifndef G4UIterminal_h
+#define G4UIterminal_h 1
+
+#include <fstream>
+#include "G4UImanager.hh"
+#include "G4VBasicShell.hh"
+#include "G4VUIshell.hh"
 
 class G4UIterminal : public G4VBasicShell {
@@ -82,5 +81,5 @@
 
 public:
-  G4UIterminal(G4VUIshell* aShell=0);
+  G4UIterminal(G4VUIshell* aShell=0, G4bool qsig=true);
   ~G4UIterminal();
 
Index: trunk/geant4/interfaces/basic/include/G4VUIshell.hh
===================================================================
--- trunk/geant4/interfaces/basic/include/G4VUIshell.hh	(revision 592)
+++ trunk/geant4/interfaces/basic/include/G4VUIshell.hh	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VUIshell.hh,v 1.6 2006/06/29 19:09:41 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// $Id: G4VUIshell.hh,v 1.7 2007/06/14 05:44:58 kmura Exp $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 
@@ -34,5 +34,5 @@
 #include "globals.hh"
 
-//
+// ====================================================================
 //   Description: 
 //   This class is the abstract base class for various UI shells.
@@ -50,4 +50,5 @@
 //   %/ ... current working directory
 //
+// ====================================================================
 
 // terminal color index
@@ -95,8 +96,11 @@
   // get command string from a command line
   virtual G4String GetCommandLine(const char* msg=0)= 0;
+
+  virtual void ResetTerminal();
 };
 
-
-// inlines...
+// ====================================================================
+//   inline functions
+// ====================================================================
 inline void G4VUIshell::SetNColumn(G4int ncol)
 {
Index: trunk/geant4/interfaces/basic/src/G4UIArrayString.cc
===================================================================
--- trunk/geant4/interfaces/basic/src/G4UIArrayString.cc	(revision 592)
+++ trunk/geant4/interfaces/basic/src/G4UIArrayString.cc	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIArrayString.cc,v 1.8 2006/06/29 19:09:43 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 
Index: trunk/geant4/interfaces/basic/src/G4UIQt.cc
===================================================================
--- trunk/geant4/interfaces/basic/src/G4UIQt.cc	(revision 592)
+++ trunk/geant4/interfaces/basic/src/G4UIQt.cc	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4UIQt.cc,v 1.14 2007/05/29 11:09:49 $
-// GEANT4 tag $Name: geant4-08-01 $
+// $Id: G4UIQt.cc,v 1.3 2007/11/08 17:00:09 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // L. Garnier
@@ -46,15 +46,22 @@
 #include "G4Qt.hh"
 
-#include <QtGui/qapplication.h>
-#include <QtGui/qwidget.h>
-#include <QtGui/qmenu.h>
-#include <QtGui/qmenubar.h>
-#include <QtGui/qboxlayout.h>
-#include <QtGui/qpushbutton.h>
-#include <QtGui/qlabel.h>
-#include <QtGui/qsplitter.h>
-#include <QtGui/qscrollbar.h>
-#include <QtGui/qdialog.h>
-#include <QtGui/qevent.h>
+#include <QtGui/QApplication.h>
+#include <QtGui/QMainWindow.h>
+#include <QtGui/QLineEdit.h>
+#include <QtGui/QWidget.h>
+#include <QtGui/QMenu.h>
+#include <QtGui/QMenuBar.h>
+#include <QtGui/QBoxLayout.h>
+#include <QtGui/QPushButton.h>
+#include <QtGui/QLabel.h>
+#include <QtGui/QSplitter.h>
+#include <QtGui/QScrollBar.h>
+#include <QtGui/QDialog.h>
+#include <QtGui/QEvent.h>
+#include <QtGui/QListWidget.h>
+#include <QtGui/QTextEdit.h>
+#include <QtGui/QTreeWidget.h>
+#include <QtCore/QSignalMapper.h>
+
 
 #include <stdlib.h>
Index: trunk/geant4/interfaces/basic/src/G4UIQt_moc.cc
===================================================================
--- trunk/geant4/interfaces/basic/src/G4UIQt_moc.cc	(revision 592)
+++ trunk/geant4/interfaces/basic/src/G4UIQt_moc.cc	(revision 593)
@@ -2,9 +2,11 @@
 ** Meta object code from reading C++ file 'G4UIQt.hh'
 **
-** Created: Mon Sep 17 14:28:15 2007
+** Created: Mon Oct 1 10:59:35 2007
 **      by: The Qt Meta Object Compiler version 59 (Qt 4.2.2)
 **
 ** WARNING! All changes made in this file will be lost!
 *****************************************************************************/
+
+#ifdef G4UI_BUILD_QT_SESSION
 
 #include "../include/G4UIQt.hh"
@@ -99,2 +101,4 @@
     QMetaObject::activate(this, &staticMetaObject, 0, _a);
 }
+
+#endif
Index: trunk/geant4/interfaces/basic/src/G4UIWin32.cc
===================================================================
--- trunk/geant4/interfaces/basic/src/G4UIWin32.cc	(revision 592)
+++ trunk/geant4/interfaces/basic/src/G4UIWin32.cc	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIWin32.cc,v 1.13 2006/06/29 19:09:45 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // G.Barrand
Index: trunk/geant4/interfaces/basic/src/G4UIXaw.cc
===================================================================
--- trunk/geant4/interfaces/basic/src/G4UIXaw.cc	(revision 592)
+++ trunk/geant4/interfaces/basic/src/G4UIXaw.cc	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIXaw.cc,v 1.6 2006/06/29 19:09:47 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // G.Barrand
Index: trunk/geant4/interfaces/basic/src/G4UIXm.cc
===================================================================
--- trunk/geant4/interfaces/basic/src/G4UIXm.cc	(revision 592)
+++ trunk/geant4/interfaces/basic/src/G4UIXm.cc	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIXm.cc,v 1.14 2006/06/29 19:09:49 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // G.Barrand
Index: trunk/geant4/interfaces/basic/src/G4UIcsh.cc
===================================================================
--- trunk/geant4/interfaces/basic/src/G4UIcsh.cc	(revision 592)
+++ trunk/geant4/interfaces/basic/src/G4UIcsh.cc	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIcsh.cc,v 1.8 2006/06/29 19:09:51 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 
Index: trunk/geant4/interfaces/basic/src/G4UItcsh.cc
===================================================================
--- trunk/geant4/interfaces/basic/src/G4UItcsh.cc	(revision 592)
+++ trunk/geant4/interfaces/basic/src/G4UItcsh.cc	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4UItcsh.cc,v 1.12 2006/06/29 19:09:54 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// $Id: G4UItcsh.cc,v 1.15 2007/11/06 09:36:23 kmura Exp $
+// GEANT4 tag $Name:  $
 //
 
@@ -37,4 +37,6 @@
 #include <ctype.h>
 #include <sstream>
+#include <fstream>
+#include <stdlib.h>
 
 // ASCII character code
@@ -59,4 +61,7 @@
 static const int AsciiPrintableMin = 32;
 
+// history file
+static const G4String historyFileName= "/.g4_hist";
+
 /////////////////////////////////////////////////////////
 G4UItcsh::G4UItcsh(const G4String& prompt, G4int maxhist)
@@ -69,4 +74,22 @@
   // get current terminal mode
   tcgetattr(0, &tios);
+
+  // read a shell history file
+  G4String homedir= getenv("HOME");
+  G4String fname= homedir + historyFileName;
+
+  std::ifstream histfile;
+  enum { BUFSIZE= 1024 }; char linebuf[BUFSIZE];
+
+  histfile.open(fname, std::ios::in);
+  while (histfile.good()) {
+    if(histfile.eof()) break;
+
+    histfile.getline(linebuf, BUFSIZE);
+    G4String aline= linebuf;
+    aline.strip(G4String::both);
+    if(aline.size() !=  0) StoreHistory(linebuf);
+  }
+  histfile.close();
 }
 
@@ -75,9 +98,24 @@
 /////////////////////
 {
-}
+  // store a shell history
+  G4String homedir= getenv("HOME");
+  G4String fname= homedir + historyFileName;
+
+  std::ofstream histfile;
+  histfile.open(fname, std::ios::out);
+
+  G4int n0hist= 1;
+  if( currentHistoryNo > maxHistory ) n0hist= currentHistoryNo-maxHistory+1;
+
+  for (G4int i=n0hist; i<= currentHistoryNo; i++) {
+    histfile << RestoreHistory(i) << G4endl;
+  }
   
-///////////////////////////
+  histfile.close();
+}
+
+//////////////////////////////////////////
 void G4UItcsh::MakePrompt(const char* msg)
-///////////////////////////
+//////////////////////////////////////////
 {
   if(promptSetting.length()<=1) {
@@ -130,4 +168,13 @@
 }
 
+
+//////////////////////////////
+void G4UItcsh::ResetTerminal()
+//////////////////////////////
+{
+  RestoreTerm();
+}
+
+
 // --------------------------------------------------------------------
 //      commad line operations
@@ -465,5 +512,5 @@
 
   G4int jt= input.find_last_of('/');
-  if(jt<jhead) jt=G4String::npos;
+  if(jt<jhead) jt=G4int(G4String::npos);
 
   if(jt==G4int(G4String::npos)) jt= jhead;
@@ -472,5 +519,5 @@
   G4String dspstr; 
   G4int i;
-  for(i=jt; i<=G4int(input.length())-1; i++) dspstr+= G4String(AsciiBS); // cleanup
+  for(i=jt; i<=G4int(input.length())-1; i++) dspstr+= G4String(AsciiBS); 
   for(i=jt; i<=G4int(input.length())-1; i++) dspstr+= G4String(' '); 
   for(i=jt; i<=G4int(input.length())-1; i++) dspstr+= G4String(AsciiBS); 
@@ -592,7 +639,7 @@
 }
 
-///////////////////////////////////
+//////////////////////////////////////////////////
 G4String G4UItcsh::GetCommandLine(const char* msg)
-///////////////////////////////////
+//////////////////////////////////////////////////
 {
   SetTermToInputMode();
Index: trunk/geant4/interfaces/basic/src/G4UIterminal.cc
===================================================================
--- trunk/geant4/interfaces/basic/src/G4UIterminal.cc	(revision 592)
+++ trunk/geant4/interfaces/basic/src/G4UIterminal.cc	(revision 593)
@@ -25,8 +25,11 @@
 //
 //
-// $Id: G4UIterminal.cc,v 1.21 2006/06/29 19:09:56 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
-//
-
+// $Id: G4UIterminal.cc,v 1.27 2007/10/29 18:49:45 asaim Exp $
+// GEANT4 tag $Name:  $
+//
+// ====================================================================
+//   G4UIterminal.cc
+//
+// ====================================================================
 #include "G4Types.hh"
 #include "G4StateManager.hh"
@@ -38,8 +41,52 @@
 #include <sstream>
 
-
-//////////////////////////////////////////////
-G4UIterminal::G4UIterminal(G4VUIshell* aShell)
-//////////////////////////////////////////////
+#ifndef WIN32
+#include <signal.h>
+#endif
+
+// ====================================================================
+// signal handler for soft-abort
+// ====================================================================
+
+static G4VUIshell* theshell= 0;
+
+#ifndef WIN32
+
+extern "C" {
+
+////////////////////////////////
+static void SignalHandler(G4int)
+////////////////////////////////
+{
+  G4StateManager* stateManager= G4StateManager::GetStateManager();
+  G4ApplicationState state= stateManager-> GetCurrentState();
+
+  if(state==G4State_GeomClosed || state==G4State_EventProc) {
+    G4cout << "aborting Run ...";
+    G4UImanager::GetUIpointer()->ApplyCommand("/run/abort");
+    G4cout << G4endl;
+  } else {
+    G4cout << G4endl
+           << "Session terminated." << G4endl;
+    theshell-> ResetTerminal();
+    exit(0);
+  }
+
+  // for original Unix / System V
+  signal(SIGINT, SignalHandler);
+}
+
+}
+#endif
+
+// ====================================================================
+//
+// class description
+//
+// ====================================================================
+
+///////////////////////////////////////////////////////////
+G4UIterminal::G4UIterminal(G4VUIshell* aShell, G4bool qsig)
+///////////////////////////////////////////////////////////
 {
   UI= G4UImanager::GetUIpointer();
@@ -52,4 +99,12 @@
   if(aShell) shell= aShell;
   else shell= new G4UIcsh;
+  theshell= shell; // locally stored for the signal handler
+
+  // add signal handler
+  if(qsig) {
+#ifndef WIN32
+  signal(SIGINT, SignalHandler);
+#endif
+  }
 }
 
Index: trunk/geant4/interfaces/basic/src/G4VUIshell.cc
===================================================================
--- trunk/geant4/interfaces/basic/src/G4VUIshell.cc	(revision 592)
+++ trunk/geant4/interfaces/basic/src/G4VUIshell.cc	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VUIshell.cc,v 1.9 2006/06/29 19:09:59 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// $Id: G4VUIshell.cc,v 1.10 2007/06/14 05:44:58 kmura Exp $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 
@@ -59,7 +59,7 @@
 }
 
-/////////////////////////////
+////////////////////////////////////////////
 void G4VUIshell::MakePrompt(const char* msg) 
-/////////////////////////////
+////////////////////////////////////////////
 {
   if(promptSetting.length()<=1) {
@@ -106,4 +106,11 @@
 
 
+////////////////////////////////
+void G4VUIshell::ResetTerminal()
+////////////////////////////////
+{
+
+}
+
 // --------------------------------------------------------------------
 //      G4command operations
@@ -308,2 +315,3 @@
   arrayString.Show(nColumn);
 }
+
Index: trunk/geant4/interfaces/common/include/G4Qt.hh
===================================================================
--- trunk/geant4/interfaces/common/include/G4Qt.hh	(revision 592)
+++ trunk/geant4/interfaces/common/include/G4Qt.hh	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Qt.hh,v 1.6 2007/05/29 11:10:14 $
-// GEANT4 tag $Name: geant4-08-01 $
+// $Id: G4Qt.hh,v 1.2 2007/11/08 17:00:09 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 //  To unify Qt event treatment between 
@@ -38,8 +38,4 @@
 
 #include "G4VInteractorManager.hh"
-
-#include <QtGui/qapplication.h>
-#include <QtGui/qwidget.h>
-#include <QtGui/qmainwindow.h>
 
 // Class description :
Index: trunk/geant4/interfaces/common/include/G4VBasicShell.hh
===================================================================
--- trunk/geant4/interfaces/common/include/G4VBasicShell.hh	(revision 592)
+++ trunk/geant4/interfaces/common/include/G4VBasicShell.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VBasicShell.hh,v 1.7 2006/06/29 19:10:03 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 
Index: trunk/geant4/interfaces/common/include/G4VInteractorManager.hh
===================================================================
--- trunk/geant4/interfaces/common/include/G4VInteractorManager.hh	(revision 592)
+++ trunk/geant4/interfaces/common/include/G4VInteractorManager.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VInteractorManager.hh,v 1.9 2006/06/29 19:10:08 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // G.Barrand
Index: trunk/geant4/interfaces/common/include/G4Win32.hh
===================================================================
--- trunk/geant4/interfaces/common/include/G4Win32.hh	(revision 592)
+++ trunk/geant4/interfaces/common/include/G4Win32.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Win32.hh,v 1.8 2006/06/29 19:10:11 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 //  To unify Windows message treatment between 
Index: trunk/geant4/interfaces/common/include/G4Xt.hh
===================================================================
--- trunk/geant4/interfaces/common/include/G4Xt.hh	(revision 592)
+++ trunk/geant4/interfaces/common/include/G4Xt.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Xt.hh,v 1.6 2006/06/29 19:10:14 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 //  To unify X11 event treatment between 
Index: trunk/geant4/interfaces/common/src/G4Qt.cc
===================================================================
--- trunk/geant4/interfaces/common/src/G4Qt.cc	(revision 592)
+++ trunk/geant4/interfaces/common/src/G4Qt.cc	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Qt.cc,v 1.11 2007/05/29 11:10:28 $
-// GEANT4 tag $Name: geant4-08-01 $
+// $Id: G4Qt.cc,v 1.3 2007/11/08 17:00:09 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // L. Garnier
@@ -38,4 +38,7 @@
 
 #include "G4Qt.hh"
+
+#include <QtGui/QApplication.h>
+
 
 #define NewString(str)  \
@@ -135,4 +138,5 @@
 //  return         &event;
   printf("*");
+  return 0;
 }
 /***************************************************************************/
Index: trunk/geant4/interfaces/common/src/G4VBasicShell.cc
===================================================================
--- trunk/geant4/interfaces/common/src/G4VBasicShell.cc	(revision 592)
+++ trunk/geant4/interfaces/common/src/G4VBasicShell.cc	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VBasicShell.cc,v 1.12 2006/06/29 19:10:20 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 
@@ -197,5 +197,5 @@
     std::vector<G4UIcommand*> commands;
     G4int n_commandEntry = aTree->GetCommandEntry();
-    for( int i_thCommand = 1; i_thCommand <= n_commandEntry; i_thCommand++ ) {
+    for( G4int i_thCommand = 1; i_thCommand <= n_commandEntry; i_thCommand++ ) {
       G4UIcommand* cmd = aTree->GetCommand(i_thCommand);
       G4String ss = cmd->GetCommandName();
Index: trunk/geant4/interfaces/common/src/G4VInteractorManager.cc
===================================================================
--- trunk/geant4/interfaces/common/src/G4VInteractorManager.cc	(revision 592)
+++ trunk/geant4/interfaces/common/src/G4VInteractorManager.cc	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VInteractorManager.cc,v 1.13 2006/06/29 19:10:24 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // G.Barrand
Index: trunk/geant4/interfaces/common/src/G4Win32.cc
===================================================================
--- trunk/geant4/interfaces/common/src/G4Win32.cc	(revision 592)
+++ trunk/geant4/interfaces/common/src/G4Win32.cc	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Win32.cc,v 1.9 2006/06/29 19:10:26 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // G.Barrand
Index: trunk/geant4/interfaces/common/src/G4Xt.cc
===================================================================
--- trunk/geant4/interfaces/common/src/G4Xt.cc	(revision 592)
+++ trunk/geant4/interfaces/common/src/G4Xt.cc	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Xt.cc,v 1.11 2006/06/29 19:10:28 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // G.Barrand
Index: trunk/geant4/visualization/G4History.macro
===================================================================
--- trunk/geant4/visualization/G4History.macro	(revision 592)
+++ trunk/geant4/visualization/G4History.macro	(revision 593)
@@ -6,20 +6,4 @@
 /vis/viewer/create ! ! 600
 /vis/open OGLSQT
-/vis/sceneHandler/create OGLSQT
-/vis/sceneHandler/attach
-/vis/viewer/create ! ! 600
-/vis/viewer/refresh
-/vis/scene/notifyHandlers
-/vis/viewer/flush
-/vis/viewer/refresh viewer-1
-/vis/viewer/update viewer-1
-/vis/scene/add/trajectories
-/tracking/storeTrajectory 1
-/vis/scene/notifyHandlers
-/vis/modeling/trajectories/create/drawByCharge
-/vis/modeling/trajectories/drawByCharge-0/default/setDrawStepPts true
-/vis/modeling/trajectories/drawByCharge-0/default/setStepPtsSize 2
-/vis/scene/endOfEventAction accumulate
-/vis/scene/notifyHandlers
 /control/execute visTutor/gui.mac
 /gui/addMenu file File
@@ -31,12 +15,12 @@
 /gui/addButton run run2 "/control/execute run2.mac"
 /gui/addMenu gun Gun
-/gui/addButton gun "50 MeV"  "/gun/energy 50 MeV"
-/gui/addButton gun "1 GeV"   "/gun/energy 1 GeV"
-/gui/addButton gun "10 GeV"  "/gun/energy 10 GeV"
-/gui/addButton gun "e-"      "/gun/particle e-"
-/gui/addButton gun "pi0"     "/gun/particle pi0"
-/gui/addButton gun "pi+"     "/gun/particle pi+"
+/gui/addButton gun "50 MeV" "/gun/energy 50 MeV"
+/gui/addButton gun "1 GeV" "/gun/energy 1 GeV"
+/gui/addButton gun "10 GeV" "/gun/energy 10 GeV"
+/gui/addButton gun "e-" "/gun/particle e-"
+/gui/addButton gun "pi0" "/gun/particle pi0"
+/gui/addButton gun "pi+" "/gun/particle pi+"
 /gui/addButton gun "neutron" "/gun/particle neutron"
-/gui/addButton gun "proton"  "/gun/particle proton"
+/gui/addButton gun "proton" "/gun/particle proton"
 /gui/addMenu vis Vis
 /gui/addButton vis Vis0(OGLIX) "/control/execute visTutor/exN03Vis0.mac"
@@ -45,7 +29,5 @@
 /gui/addButton vis Vis3(OGLSX) "/control/execute visTutor/exN03Vis3.mac"
 /gui/addButton vis Vis4(OGLIX) "/control/execute visTutor/exN03Vis4.mac"
-/gui/addButton vis Vis12(OGLIQT) "/control/execute visTutor/exN03Vis12.mac"
-/gui/addButton vis Vis14(OGLSQT) "/control/execute visTutor/exN03Vis14.mac"
-/gui/addButton vis Vis5(OIX)   "/control/execute visTutor/exN03Vis5.mac"
+/gui/addButton vis Vis5(OIX) "/control/execute visTutor/exN03Vis5.mac"
 /gui/addButton vis Vis6(VRML2FILE) "/control/execute visTutor/exN03Vis6.mac"
 /gui/addButton vis Vis7(DAWNFILE) "/control/execute visTutor/exN03Vis7.mac"
@@ -59,3 +41,2 @@
 /gui/addButton viewer "Update scene" "/vis/scene/notifyHandlers"
 /N03/event/printModulo 100
-/run/beamOn 1
Index: trunk/geant4/visualization/History
===================================================================
--- trunk/geant4/visualization/History	(revision 592)
+++ trunk/geant4/visualization/History	(revision 593)
@@ -1,3 +1,3 @@
-$Id: History,v 1.398 2006/11/26 22:07:44 allison Exp $
+$Id: History,v 1.414 2007/07/10 17:54:09 allison Exp $
 -------------------------------------------------------------------
 
@@ -24,4 +24,99 @@
 History file for visualization category
 ---------------------------------------
+
+10th July 2007  John Allison  (vis-V09-00-00)
+- visman-V09-00-00: Remove redundant method declarations and minor tidies.
+
+14th June 2007  John Allison  (vis-V08-03-07)
+- raytracer-V08-03-01: Fixed memory leak in G4RayTracer.
+
+30th May 2007  John Allison  (vis-V08-03-06)
+- modeling-V08-03-02: Fixed gcc-4.2.0 warning.
+
+30th May 2007  John Allison  (vis-V08-03-05)
+- modeling-V08-03-01: Fix for SUN.
+
+25th May 2007  John Allison  (vis-V08-03-04)
+- opengl-V08-03-03: Fixed gcc-4.1.2 compiler warnings.
+
+25th May 2007  John Allison  (vis-V08-03-03)
+- visman-V08-03-01: Improved error trapping and big fix.
+- opengl-V08-03-02: Improved error trapping.
+
+24th May 2007  John Allison  (vis-V08-03-02)
+- opengl-V08-03-01: Fixes for SUN.
+
+22nd May 2007  John Allison  (vis-V08-03-01)
+- modeling-V08-03-00: Simplified G4Atts for Physical Volume Path.
+- vis-HepRep-V08-03-00: Fixed memory leak in G4HepRepFile.
+- raytracer-V08-03-00: Fixed for dubious ValGrind diagnostic.
+
+16th May 2007  John Allison  (vis-V08-03-00)
+- visman-V08-03-00: Fix for Windows compiler.
+- opengl-V08-03-00: Fix compiler warnings and bug fixes in opengl-V08-02-06.
+
+8th May 2007  John Allison
+- opengl-V08-02-06: /vis/ogl/printEPS should work for all viewers.
+
+4th April 2007  John Allison  (vis-V08-02-04)
+- visman-V08-02-04: Bug fix for zero pointer in G4VscenHamdler::LoadAtts.
+- opengl-V08-02-05: Implemented picking for OGLSX (as well as OGLIX).
+
+3rd April 2007  John Allison  (vis-V08-02-03)
+- modeling-V08-02-02: Added further information on volume G4Atts.
+- visman-V08-02-03: Added /vis/viewer/set/picking.  Picking is "false"
+  by default, except for Open Inventor.
+- opengl-V08-02-04:
+  o Implemented picking for OGLIX.
+  o Some reorganisation of display list construction to fix rare bug\
+    in Display-by-Time feature
+- openinventor-V08-02-02: Picking is "true" by default for OI.
+
+25th March 2007  John Allison  (vis-V08-02-02)
+-  modeling-V08-02-01: Added solid dump and volume transformation to G4Atts.
+- visman-V08-02-02:
+  o Removed G4GAGTree.
+  o Removed /vis/scene/add/eventID (once again) from /vis/drawVolume.
+- opengl-V08-02-03: Fix compiler warnings.
+- vistree-V08-02-01: Removed GAGTree.
+- openinventor-V08-02-01): Added scale factor to list of changes
+  requiring kernel visit, and some rationalisation.
+
+11th January 2007  John Allison  (vis-V08-02-01)
+- visman-V08-02-01:
+  o Added /vis/abortReviewKeptEvents.
+  o /vis/reviewKeptEvents: Improved guidance.
+  o Bug fix: /vis/open in /vis/reviewKeptEvents loop.
+  o Reduced WARNING noise.
+
+9th January 2007  John Allison
+- opengl-V08-02-01:
+  o Implemented bitmap markers (for MarkerSizeType == screen).
+  o Bug fix: Added missing break in X colormap lookup routine.
+
+5th January 2007  John Allison  (vis-V08-02-00 - needs greps-V08-02-00)
+- modeling-V08-02-00 (needs greps-V08-02-00):
+  o Bug fix: Correct treatment of ForcedLineSegmentsPerCircle when clipping.
+- visman-V08-02-00:
+  o G4VSceneHandler:
+    ~ Introduced utility LoadAtts for G4AttValues and G4AttDefs.
+    ~ Improved other utilities (changed signature of GetLineWidth).
+  o Introduced /vis/geometry/set/forceLineSegmentsPerCircle.
+  o Re-introduced /vis/scene/add/eventID into /vis/drawVolume (removed
+    in visman-V08-01-16 for release 8.2).
+  o Other minor improvements.
+- opengl-V08-02-00:
+  o Followed change of signature of GetLineWidth in visman-V08-02-00.
+- openinventor-V08-02-00: Moved LoadAtts to vis management.
+- raytracer-V08-02-00: Bug fix: use of window size hints.
+- vistree-V08-02-00: Bug fix: Format of total mass.
+- vistest-V08-02-00: test19.cc: Refined usage.
+
+12th December 2006  Gabriele Cosmo
+- visman-V08-01-16: Commented command "vis/scene/add/eventID" forcing
+  event ID to scene in G4VisCommandsCompound.cc.
+
+11th December 2006  John Allison
+- Tree: Trapped sequential G4PVPlacements.
 
 25th November 2006  John Allison  (vis-V08-01-17)
Index: trunk/geant4/visualization/OpenGL/GNUmakefile
===================================================================
--- trunk/geant4/visualization/OpenGL/GNUmakefile	(revision 592)
+++ trunk/geant4/visualization/OpenGL/GNUmakefile	(revision 593)
@@ -28,5 +28,4 @@
 CPPFLAGS += -I$(G4BASE)/intercoms/include
 CPPFLAGS += -I$(G4BASE)/interfaces/common/include
-CPPFLAGS += -I$(G4BASE)/interfaces/basic/include
 CPPFLAGS += -I$(G4BASE)/tracking/include
 CPPFLAGS += -I$(G4BASE)/digits_hits/hits/include
Index: trunk/geant4/visualization/OpenGL/History
===================================================================
--- trunk/geant4/visualization/OpenGL/History	(revision 592)
+++ trunk/geant4/visualization/OpenGL/History	(revision 593)
@@ -1,3 +1,3 @@
-$Id: History,v 1.82 2006/11/21 16:24:58 allison Exp $
+$Id: History,v 1.94 2007/08/21 14:05:50 allison Exp $
 -------------------------------------------------------------------
 
@@ -20,4 +20,72 @@
 History file for visualization/OpenGL
 -------------------------------------
+
+21st August 2007  John Allison  (opengl-V09-00-00)
+- Removed redundant G4OpenGLXViewerMessenger.
+
+25th May 2007  John Allison  (opengl-V08-03-03)
+- G4OpenGLSceneHandler and G4OpenGLXViewerMessenger:
+  Fixed gcc-4.1.2 compiler warnings.
+
+G4OpenGLXViewer: Trapped glXMakeCurrent in Initialise function.
+
+25th May 2007  John Allison  (opengl-V08-03-02)
+- G4OpenGLXViewer: Trapped glXMakeCurrent in Initialise function.
+
+24th May 2007  John Allison  (opengl-V08-03-01)
+- Fixes for SUN.
+
+16th May 2007  John Allison  (opengl-V08-03-00)
+- Fix compiler warnings on SLC4.
+- Bug fixes:
+  o Correct path /vis/ogl/set/printMode.
+  o Add SetView to pixmap screen dump ("/vis/ogl/set/printMode pixmap"
+    and "/vis/ogl/printEPS").
+
+8th May 2007  John Allison  (opengl-V08-02-06)
+- Moved vectored PostScript printing to G4OpenGLViewer.
+- /vis/ogl/printEPS should work for all viewers, including Win32.
+- Introduced /vis/ogl/set/printMode vectored|pixmap, currently only
+  effective on X windows (and still somewhat buggy).
+
+4th April 2007  John Allison  (opengl-V08-02-05 - needs visman-V08-02-04)
+- Implemented picking for OGLSX ( as well as OGLIX).  Hopefully works
+  for OGL*Win32.  Still doesn't work for OGL*Xm.
+
+3rd April 2007  John Allison  (opengl-V08-02-04 - needs visman-V08-02-03)
+- G4OpenGLStoredSceneHandler:
+  o Re-organised display lists on a per-primitive basis, i.e., one
+    display list per primitive.  (This is so that, except for text,
+    the colour - or, rather, intensity - can be brought out of the
+    display list into the TOList (Transient Object List) and
+    controlled for the Display-by-Time feature.  Previously, if more
+    than one primitive were drawn between BeginPrimitives and
+    EndPrimitives, it would finish up all in one display list, colour
+    commands included. Rationalises and fixes a rare bug in the
+    Display-by-Time feature - see August 2006.)
+  o Added AddPrimitive(const G4Polymarker&) so that it is treated as
+    one primoitive to fit with the above re-organisation.
+- Implemented picking for OGLIX.
+
+25th March 2007  John Allison  (opengl-V08-02-03)
+- Fix compiler warnings.
+
+8th February 2007  John Allison  (opengl-V08-02-02)
+- Fixed Windows problem with DBL_MAX.  (Introduced G4OPENGL_DBL_MAX.)
+- G4OpenGLXViewer.cc: Small bug fix in print().  (Context was switched
+  .but not switched back.  Not serious, because context was always set
+  before normal drawing.)
+
+9th January 2007  John Allison  (opengl-V08-02-01)
+- Implemented bitmap markers for MarkerSizeType == screen.  (The old
+  polygon implementation remains for MarkerSizeType == world.)
+- Added G4OpenGLBitMapStore to assist the above.
+- G4OpenGLXViewer::CreateGLXContext:
+  o Bug fix: Added missing break in colormap lookup routine.
+
+5th January 2007  John Allison  (opengl-V08-02-00)
+- G4OpenGLSceneHandler.cc:
+  o Followed change of signature of GetLineWidth in visman-V08-02-00.
+  o Minor efficiency improvements.
 
 21st November 2006  John Allison  (opengl-V08-01-09)
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGL.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGL.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGL.hh	(revision 593)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4OpenGL.hh,v 1.4 2006/06/29 21:17:36 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// $Id: G4OpenGL.hh,v 1.5 2007/02/08 14:01:55 allison Exp $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // G.Barrand.
@@ -39,3 +39,5 @@
 #include <GL/glu.h>
 
+#define G4OPENGL_DBL_MAX 1.e308
+
 #endif
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLFontBaseStore.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLFontBaseStore.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLFontBaseStore.hh	(revision 593)
@@ -25,5 +25,5 @@
 //
 // $Id: G4OpenGLFontBaseStore.hh,v 1.3 2006/06/29 21:17:38 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // J.Allison  Apr 2005.
